#!/bin/bash

if [ "${1}" == "build-corpus" ]; then
    # Input:
    #   - Source file: "/root/files/corpus.vrt"
    # Output
    #   - Corpus name: "CORPUS"
    #   - Corpus data directory: "/corpora/data/corpus"
    #   - Corpus registry file: "/usr/local/share/cwb/registry/corpus"
    mkdir -p /corpora/data/corpus
    cwb-encode \
      -c utf8 \
      -d /corpora/data/corpus \
      -f /root/files/corpus.vrt \
      -R /usr/local/share/cwb/registry/corpus \
      -P lemma -P simple_pos -P pos -P ner \
      -S text:0+address+author+booktitle+chapter+editor+institution+journal+pages+publisher+publishing_year+school+title -S s \
      -xsB -9
    cwb-make \
      -V CORPUS
elif [ "${1}" == "cqpserver" ]; then
    CQPSERVER_HOST="${CQPSERVER_HOST:-*}"
    CQPSERVER_PASSWORD="${CQPSERVER_PASSWORD:-}"
    CQPSERVER_USER="${CQPSERVER_USER:-anonymous}"

    echo "host ${CQPSERVER_HOST};" > cqpserver.init
    echo "user ${CQPSERVER_USER} \"${CQPSERVER_PASSWORD}\";" >> cqpserver.init

    cqpserver -I cqpserver.init "${@:2}"
else
    echo "Usage: ${0} {build-corpus|cqpserver [OPTION]...}"
fi
